2006-05-18  Jim Hyslop <jhyslop@dreampossible.ca>

	* Manually changed config.h (I know I'm supposed to change
	  config.h.in.in but mkconfig.pl doesn't seem to work properly
	  for me)
	  Appended an 'a' to the version number, to indicate new build
	  for fixed .DSP file.

2005-09-30  Conrad T. Pino  <Conrad@Pino.com>

	* woe32.c woe32.h: Add "woe32_fd_select" function.

2005-09-29  Conrad T. Pino  <Conrad@Pino.com>

	* run.c:  Add "bool fix_stderr" argument to "piped_child" function.
	Add "false" to "piped_child" call in "run_piped" function.

2005-09-26  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.footer: Extend "mbsinit" Visual C++ 6.0 implementation
	to add Visual C++ 5.0, Visual C++ .NET, Visual C++ .NET 2003.

	* config.h config.h.in stamp-chi: Regenerated on UNIX.

2005-09-26  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add unistd.c, woe32.h.

2005-09-25  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add new files.

2005-09-25  Conrad T. Pino  <Conrad@Pino.com>

	* filesubr.c: Change <windows.h> to <sys/socket.h> which includes
	<windows.h> through <winsock2.h> include.

	* rcmd.c sockerror.c startserver.c unistd.c woe32.c: Change
	<winsock.h> to <sys/socket.h> which includes <winsock2.h>.

	* unistd.h: Change "gethostname" prototype to match <winsock2.h>.

2005-09-25  Conrad T. Pino  <Conrad@Pino.com>

	* filesubr.c: New (get_system_temp_dir push_env_temp_dir) functions.

2005-09-25  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.footer: Add "#pragma once" in "#ifdef _MSC_VER" block.
	Add "#define HAVE_DECL__SNPRINTF 1" macro.  Add "#include <direct.h>"
	and "#define mkdir wnt_mkdir" macro.  Add "mbsinit" implementation as
	an inline function for Microsoft Visual C++ 6.0 only.

	* config.h.in.in: Remove (GLOB_PREFIX HAVE_HSTRERROR HAVE_STRCASECMP
	HAVE_STRSTR ST_MTIM_NSEC _SYS_CDEFS_H) macros which now obsolete.
	Change (HAVE_ATEXIT HAVE_DECL_GETENV HAVE_DUP2 HAVE_ENVIRON_DECL
	HAVE_ERRNO_DECL HAVE_GETHOSTNAME HAVE_ISASCII HAVE_MBLEN HAVE_MBRLEN
	HAVE_MBSRTOWCS HAVE_MBSTATE_T HAVE_MEMCHR HAVE_MEMMOVE HAVE_PTRDIFF_T
	HAVE_SEARCH_H HAVE_STRCHR HAVE_STRTOUL HAVE_STRUCT_STAT_ST_RDEV
	HAVE_TZNAME HAVE_TZSET HAVE_WCSLEN HAVE_WCTYPE_H HAVE_WINT_T
	HAVE_WMEMCHR HAVE_WMEMCPY) from "#undef ..." to "#define ... 1".
	Change from "#define HAVE_DIRECT_H 1" to "#undef HAVE_DIRECT_H" since
	some functions aren't POSIX compliant.
	Change (SIZEOF_CHAR SIZEOF_DOUBLE SIZEOF_FLOAT SIZEOF_INT SIZEOF_LONG
	SIZEOF_LONG_DOUBLE SIZEOF_PTRDIFF_T SIZEOF_SHORT SIZEOF_SIZE_T
	SIZEOF_WINT_T) from "#undef ..." to "#define ... constant" where
	"constant" is the size in Microsoft Visual C++ 6.0 for 32-bit API.
	Add (ALLOW_CONFIG_OVERRIDE HAVE_BP_SYM_H HAVE_DECL_GETDELIM
	HAVE_DECL_GETLINE HAVE_FLOCKFILE HAVE_FUNLOCKFILE HAVE_GAI_STRERROR
	HAVE_GETADDRINFO HAVE_IPV6 HAVE_ISBLANK HAVE_LANGINFO_CODESET
	HAVE_TCGETATTR HAVE_TCSETATTR HAVE_TERMIOS_H HAVE___FSETLOCKING
	_REGEX_LARGE_OFFSETS) as "#undef ..." macro.
	Add (HAVE_IPV4 HAVE_LOCALE_H HAVE_WCRTOMB HAVE_WCSCOLL) as
	"#define ... 1" macro.
	Add "#define strcasecmp rpl_strcasecmp" macro.

	* config.h config.h.in: Regenerated on UNIX for "config.h.in.footer"
	and "config.h.in.in" changes.

	* filesubr.c mkdir.c: Add "#undef mkdir" to use Microsoft function.

	* unistd.h: Don't include Microsoft "mkdir" function from here, done
	in "config.h.in.footer" file per Derek Price.

2005-09-22  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.footer: Move macros to correct section in sorted order.

2005-09-21  Conrad T. Pino  <Conrad@Pino.com>

	* fix-msvc-mak.pl: Remove "basetsd" from "../lib/libcvs.dep".

2005-09-20  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): s/netdb.c/netdb.h/.

	* Makefile.am (EXTRA_DIST): Add netdb.h, sys/socket.h, & sys/types.h.

2005-09-20  Conrad T. Pino  <Conrad@Pino.com>

	* netdb.h: Add empty file since Windows doesn't provide one.

2005-09-19  Conrad T. Pino  <Conrad@Pino.com>

	* pwd.c: Replace include of "woe32.h" with "config.h" which 
	includes "woe32.h" to fix compile error in "lib/timespec.h"
	that depends on "config.h".

2005-09-19  Conrad T. Pino  <Conrad@Pino.com>

	* filesubr.c: Remove "extern char *Tmpdir" reference.

2005-09-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-ch): Sub PACKAGE_STRING rather than reconstructing
	it.  Sub PACKAGE_BUGREPORT.
	(stamp-chi): Fix grammar in comment.
	* config.h.in.in (PACKAGE_BUGREPORT): Define macro.
	(PACKAGE_STRING): Use $PACKAGE_STRING directly.

2005-09-04  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_PUTENV): Remove.

2005-09-01  Derek Price  <derek@ximbiot.com>

	* README, sys/types.h: Update links and email addresses.

2005-08-12  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_GETCWD): Remove this macro.

2005-08-03  Jim Hyslop  <jhyslop@dreampossible.ca>

	* filesubr.c: don't expand "." to the name of the current directory.
	* config.h, config.h.in, config.h.in.in: enabled HAVE_PRINTF_PTR and
	HAVE_GETCWD.

2005-07-12  Derek Price  <derek@ximbiot.com>

	* mkdir.c, startserver.c, woe32.c: Add copyright notices.

2005-07-12  Derek Price  <derek@ximbiot.com>

	* config.h.in.footer: Restore missing FIXME response.

2005-07-11  Derek Price  <derek@ximbiot.com>

	* mkdir.c, startserver.c, woe32.c: Update license notices.

2005-07-07  Derek Price  <derek@ximbiot.com>

	* config.h.in.footer (WOE32): New macro.

2005-06-10  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: Remove HAVE_LSTAT_EMPTY_STRING_BUG,
	HAVE_STAT_EMPTY_STRING_BUG, stat, and lstat definitions.
	* config.h.in.footer: Add stat & lstat definitions.

2005-05-31  Conrad T. Pino  <Conrad@Pino.com>

	* config.h, config.h.in, stamp-chi: Regenerated on Solaris for updates
	to config.h.in.footer and config.h.in.in committed on Windows.

2005-05-31  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.in: Change macros (gid_t,pid_t,uid_t) to #undef.
	* pwd.c, pwd.h: Prototypes now (gid_t,uid_t) instead of "int".
	* pwd.c: Stop useing "root:root" for "uid:gid" values.
	* unistd.h: Use "windows-NT/sys/types.h" for definitions.

2005-05-31  Conrad T. Pino  <Conrad@Pino.com>

	* unistd.c, unistd.c: Add new "usleep" function using "my_usleep"
	  logic taken from "woe32.c" file.
	* woe32.c, woe32.h: Add new (woe32_home_dir,woe32_shell) functions.
	* woe32.c: Modify "woe32_nanosleep" to use "unistd.h" "usleep".
	* filesubr.c: Modify "get_homedir" to use "woe32_home_dir".
	* pwd.c: Modify "getpwuid" to use "woe32_home_dir" & "woe32_shell".
	  Append "USERNAME" to "login_strings" array.


2005-05-30  Conrad T. Pino  <Conrad@Pino.com>

	* woe32.c, woe32.h: Move functions into alpabetical order.

2005-05-30  Conrad T. Pino  <Conrad@Pino.com>

	* woe32.c: Remove function (getpass,getpid,sleep) implementations.
	* unistd.c: Add function (getpass,getpid,sleep) implementations.

2005-05-30  Conrad T. Pino  <Conrad@Pino.com>

	* config.h, config.h.in, stamp-chi: Regenerated on Solaris for updates
	to config.h.in.footer and config.h.in.in committed on Windows.

2005-05-30  Conrad T. Pino  <Conrad@Pino.com>

	* woe32.h: Create header file with ANSI style function prototypes.
	* woe32.c: Use "woe32.h" header and ANSI style function prototypes.
	  Use minimal #include file set (#include "cvs.h" dropped).  Rename:
		function "init_winsock" to "woe32_init_winsock"
		function "wnt_cleanup" to "woe32_cleanup"
		function "nanosleep" to "woe32_nanosleep"
		function "win32getlogin" to "woe32_getlogin"
	  Change function "sleep" return type to "unsigned int" was "unsigned".
	* unistd.h: Move function (getpass,getpid,sleep) prototypes here.
	* config.h.in.footer: Update 2 macros for the above changes:
		#define SYSTEM_CLEANUP woe32_cleanup
		#define SYSTEM_INITIALIZE(pargc,pargv) woe32_init_winsock()
	  Use "woe32.h" header file and remove function prototypes:
		pid_t getpid (void);
		void init_winsock (void);
		unsigned int sleep (unsigned int);
		void wnt_cleanup (void);
	* config.h.in.in: Modify 3 macros:
		#define HAVE_DECL_GETPASS 1 /* was 0 */
		#define HAVE_DECL_NANOSLEEP 1 /* was #undef */
		#define nanosleep woe32_nanosleep /* was #undef */
	* pwd.c: Update to use "woe32.h" and renamed "woe32.c" function.

2005-05-28  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (MISSING_SYS_CDEFS_H): Rename...
	(_SYS_CDEFS_H): ...as this.

2005-05-28  Conrad T. Pino  <Conrad@Pino.com>

	* run.c: Implement functions "run_add_arg_p" and "run_arg_free_p" by
	copying from "../src/run.c" and change all K&R style function argument
	declarations to ANSI style.

2005-05-26  Derek Price  <derek@ximbiot.com>

	* pwd.h, pwd.c: Reformat to CVS conventions.

2005-05-26  Derek Price  <derek@ximbiot.com>

	* ndir.h, ndir.c: Reformatting to CVS conventions.

2005-05-26  Conrad T. Pino  <Conrad@Pino.com>

	* filesubr.c: Remove "wnt_lstat" function.  Collapse static function
	"check_statbuf" logic into "wnt_stat" function body.

2005-05-26  Conrad T. Pino  <Conrad@Pino.com>

	* config.h, config.h.in, stamp-chi: Regenerated on Solaris for updates
	to config.h.in.footer and config.h.in.in committed on Windows.

2005-05-26  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.footer: Reorganize into 3 sections (macros, typedefs and
	function prototypes) and alphabetize each section.  Synchronize with
	GNULib import so Windows build succeeds.
	* config.h.in.in: Synchronize with GNULib import so Windows build
	succeeds.
	* unistd.h: Include standard function prototypes from Microsoft files
	to decrease warnings in GNULib import.

2005-05-25  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (_POSIX_PTHREAD_SEMANTICS): Undef on Windows.

2005-05-25  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (MISSING_SYS_CDEFS_H): Guess this should be defined.

2005-05-23  Derek Price  <derek@ximbiot.com>

	* filesubr.c (xresolvepath): Remove this function.

2005-05-17  Conrad T. Pino  <Conrad@Pino.com>

	* pwd.c, pwd.h: Add "const" modifier to "getpwnam" & "getgrnam" function
	"char *" argument to elminate warning in "../lib/glob.c" module.

2005-05-02  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: Define LOCK_COMPATIBILITY.

2005-04-25  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in.in: Syncronize with ../config.h.in file.
	Added: #undef HAVE_DECL_MEMRCHR, #undef HAVE_PAM_PAM_APPL_H,
	#undef HAVE_SECURITY_PAM_APPL_H
	* config.h, config.h.in: Regenerated.

2005-03-22  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am, stdint.h: Updated from GNULIB.
	* Makefile.in: Regenerated.

2005-03-16  Derek Price  <derek@ximbiot.com>

	* filesubr.c (open_file): Remove this function.

2005-03-09  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Remove mkconfig & fix-msvc-mak.
	* Makefile.am (EXTRA_DIST): Include mkconfig.pl & fix-msvc-mak.pl.
	(stamp-chi): Call $(PERL) mkconfig.pl explicitly.
	* plhead.pl: Remove this file.
	* mkconfig.pl, fix-msvc-mak.pl: Turn on warnings.

2005-03-07  Conrad T. Pino  <Conrad@Pino.com>

	* config.h, config.h.in: Regenerate for config.h.in.in change.

2005-03-07  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.in: Synchronize with ../config.h.in file.
	Removed:
		#define HAVE_GETCWD 1
		#define HAVE_GETCWD_NULL 1
		#undef HAVE_MKDIR
		#undef HAVE_RENAME
		#undef HAVE_VALLOC
	Added:
		#undef D_INO_IN_DIRENT
		#undef HAVE_CFLOCALECOPYCURRENT
		#undef HAVE_CFPREFERENCESCOPYAPPVALUE
		#define HAVE_CHSIZE 1
		#define HAVE_DECL___FPENDING 0
		#define HAVE_DECL_GETCWD 1
		#define HAVE_ISWPRINT 1
		#undef HAVE_MAP_ANONYMOUS
		#define HAVE_MBRTOWC 1
		#undef HAVE_MBSINIT
		#undef HAVE_MEMRCHR
		#undef HAVE_NANOTIME
		#undef HAVE_OPENAT
		#undef HAVE_PARTLY_WORKING_GETCWD
		#undef HAVE_POSIX_MEMALIGN
		#define HAVE_STRTOL 1
		#undef HAVE___FPENDING
		#undef MAP_ANONYMOUS
		#define PENDING_OUTPUT_N_BYTES ( fp ? fp->_ptr - fp->_base : 0 )
		#undef RENAME_TRAILING_SLASH_BUG
		#undef __GETCWD_PREFIX
		#undef __OPENAT_PREFIX
		#undef mkdir
		#undef rename
	Changed:
		#undef HAVE_WCHAR_H replaced with #define HAVE_WCHAR_H 1
		#undef HAVE_WCHAR_T replaced with #define HAVE_WCHAR_T 1

2005-03-01  Derek Price  <derek@ximbiot.com>

	* config.h.in.footer: Remove obsolete timeb stuff.

2005-02-22  Derek Price  <derek@ximbiot.com>

	* run.c: Sync with src/run.c.
	(Patch from Conrad Pino <conrad@pino.com>.)

	* run.c (run_add_arg): Some cleanup.

2005-02-22  Derek Price  <derek@ximbiot.com>

	* run.c: Remove several unneeded declarations.
	(Suggestion from Conrad Pino <conrad@pino.com>.)

2005-01-31  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Update copyright notices.

2004-12-14  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-chi): Comment dist stamp-chi reasoning.

2004-12-14  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add stamp-chi.
	(config.h.in, stamp-chi, DISTCLEANFILES, MAINTAINERCLEANFILES):
	Reorganize for distributing stamp-chi.
	* stamp-chi: Restore this file.

2004-12-14  Derek Price  <derek@ximbiot.com>

	* stamp-chi: Remove this file - it is generated only in maintainer
	mode.

2004-11-29  Conrad T. Pino  <Conrad@Pino.com>

	* unistd.h: FIXME gethostname prototype for lib/xgethostname.c

2004-11-17  Derek Price  <derek@ximbiot.com>

	* mkconfig.pl (make_config_h): Use stricter regex to avoid warning of
	the use of "#define" in comments.

2004-11-17  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add JmgStat.c & JmgStat.h.
	(Thanks to a report from Chris Bohn <cbohn@rrinc.com>.)

2004-11-17  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add unistd.h.
	(Thanks to a report from Chris Bohn <cbohn@rrinc.com>.)

2004-11-17  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (getopt, getopt_long, getopt_long_only, optarg,
	opterr, optind, optopt): Remove obsolete definitions.
	(__GETOPT_PREFIX): Define this for GNULIB getopt.

2004-11-16  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Remove stamp-chi.
	($(srcdir)/stamp-chi, $(srcdir)/config.h.in): Rename to...
	(stamp-chi, config.h.in): Respectively, including associated required
	target changes.

2004-11-16  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-ch): Replace dependency on Makefile with a
	dependency on configure.

2004-11-16  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-chi, config.h.in): Rename to...
	($(srcdir)/stamp-chi, $(srcdir)/config.h.in): Respectively, including
	associated required target changes.

2004-11-16  Derek Price  <derek@ximbiot.com>

	* mkconfig.pl (save_copy): Revert previous change.
	(make_config_h): Don't output full paths to generated comment.

2004-11-15  Derek Price  <derek@ximbiot.com>

	* mkconfig.pl (save_copy): Try to deal with not having write
	permissions.

2004-11-15  Derek Price  <derek@ximbiot.com>

	* mkconfig.pl: Improve diagnostic messages.
	(make_config_h): Don't use dir when creating temp file.
	(save_copy): Use File::Copy::move to portably rename the file, possibly
	across device boundries.

2004-11-15  Derek Price  <derek@ximbiot.com>

	* mkconfig.pl (make_config_h): Improve diagnostic message.

2004-11-11  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in.in (opterr): Define as rpl_opterr for consistency.
	* config.h.in, config.h: Regenerated.

2004-11-05  Mark D. Baushke  <mdb@cvshome.org>

	* filesubr.c (readlink): Removed. Use lib/readlink.c instead.

2004-11-03  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in.in (_UINT32_T): Add from top-level config.h.in file.
	* Makefile.in, config.h.in, config.h, stamp-chi: Regenerated.
		
2004-11-02  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in.in (HAVE_DECL_FLOCKFILE, HAVE_DECL_FUNLOCKFILE,
	HAVE_ENVIRON_DECL, HAVE_ERRNO_DECL, HAVE_SEARCH_H, HAVE_SETENV,
	HAVE_TSEARCH, HAVE_UNSETENV, MALLOC_0_IS_NONNULL, VOID_UNSETENV):
	Add new config options from top-level config.h.in using #undef.
	Some of these probably exist under Windows and need to be defined.
	(nanosleep): Move into alphabetical order.
	(TRUST_OS_FILE_CACHE): Removed as obsolete.
	* config.h.in, config.h, stamp-chi: Regenerated.
	
2004-10-30  Mark D. Baushke  <mdb@juniper.net>

	* config.h.in.in, config.h.in, config.h: Regenerated

2004-10-26  Derek Price  <derek@ximbiot.com>

	* Makefile.am (config.h.in): Allow this file to be built even when not
	in maintainer mode when it is actually missing.  Add comment.
	(stamp-chi): Remove maintainer mode restriction.  Add comments.

2004-10-25  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_RPMATCH): Undef this irrelevant macro on WOE32.

2004-10-23  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.in: Change #undef HAVE_STDINT_H to #define ... 1.
	Change #undef HAVE_STDINT_H_WITH_UINTMAX to #define ... 1.
	* config.h.in: Regenerated for "config.h.in.in" change.
	* config.h Regenerated for "config.h.in.in" change.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* .cvsignore: Ignore stamp-sh2

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am (EXTRA_DIST): Add stdint.h.
	* stdint.h: Regenerated.
	* Makefile.in: Ditto.
	
	* config.h.in.in (HAVE_SYS_INTTYPES_H): Update from GNULIB.
	* Makefile.am (stamp-sh2): Add stdint from GNULIB.

2004-10-22  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (UINT32_MAX, WORDS_BIGENDIAN, uint32_t): Guess that
	these should all be undef on WOE32.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in.footer (getpagesize): Define as 4096 because GNULIB
	assumes it can include <sys/param.h> which is not available.
	* config.h.in, config.h, stamp-chi: Regenerated.
	
2004-10-21  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_OS_H): Undef this on Windoze.

2004-10-20  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (select): Undef this for new sunos57-select.

2004-10-20  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.in: Regenerate for new configure.in.

2004-10-15  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_VASPRINTF): Define this for GNULIB.

2004-10-11  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.in: Add #undef for "HAVE_STDIO_EXT_H", "HAVE_STRCASECMP",
	"HAVE_STRNCASECMP", "HAVE_WMEMCHR" and "HAVE_WMEMCPY".

2004-10-09  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_DECL_FREE): Remove this define.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (optopt, optind, optarg): Define these for GNULIB.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Remove stripslash.c.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* mkconfig.pl: Check definition is defined, not false, before deciding
	not to print it.

2004-10-06  Derek Price  <derek@ximbiot.com>

	Use getpass proto from getpass.h.
	* config.h.in.in: Undo last defn.
	* unistd.h (getpass): Remove proto.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: Tell compiler we have a decl for getpass().

2004-10-06  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: Define use of replacement getopt functions.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: Undef HAVE_GETOPT_H and HAVE_GETOPT_LONG_ONLY.  It
	sounds like a fairly safe bet that Windoze doesn't have them.

2004-10-06  Mark D. Baushke  <mdb@cvshome.org>

	* unistd.h: Add prototype entries for chdir and close

2004-10-05  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: s/FILESYSTEM/FILE_SYSTEM/ in keeping with GNULIB.
	
2004-10-05  Conrad T. Pino  <Conrad@Pino.com>

	* config.h.in.in: Add #define EOVERFLOW, HAVE_GETCWD, HAVE_GETCWD_NULL.
	* config.h.in: Regenerated for "config.h.in.in" change.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* filesubr.c (xresolvepath): s/xgetwd/xgetcwd/.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* config.h.in.in: #undef USE_UNLOCKED_IO.

2004-09-17  Derek Price  <derek@ximbiot.com>

	* config.h.in: Remove TRUST_OS_FILE_CACHE.

2004-09-17  Derek Price  <derek@ximbiot.com>

	* stripslash.c: Remove file.

2004-09-14  Mark D. Baushke  <mdb@cvshome.org>

	* filesubr.c (cvs_casecmp): Moved to src/subr.c

2004-09-09  Mark D. Baushke  <mdb@cvshome.org>

	* filesubr.c (check_statbuf): Remove unused variables.

2004-09-08  Derek Price  <derek@ximbiot.com>

	* JmgStat.c, JmgStat.h: Convert to use UNIX line endings on UNIX.
	(Thanks to report from Conrad T. Pino <conrad@pino.com>.)

2004-09-07  Derek Price  <derek@ximbiot.com>

	* JmgStat.c, JmgStat.h: New files.
	* filesubr.c (check_statbuf): Use new Windows mod time routine.
	(Thanks to a report from Chris Bohn <cbohn@rrinc.com>, help from J. C.
	Hamlin <jchamlin@ibsys.com>, and a published patch from Jonathan
	Gilligan.)

2004-09-02  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (PROXY_SUPPORT, TRUST_OS_FILE_CACHE): New defines.

2004-06-24  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (restrict): Define empty for Windows.
	(Patch submitted by Conrad T. Pino <Conrad@Pino.com>.)

2004-06-24  Derek Price  <derek@ximbiot.com>

	* config.h.in.in (HAVE_RUN_TZSET_TEST, my_strftime): Define to values
	more appropriate for Windows.
	(Original patch submitted by Conrad T. Pino <Conrad@Pino.com>.)

2004-06-22  Derek Price  <derek@ximbiot.com>

	* config.h.in: Add "inline" & "SIZE_MAX" macros for "xsize.h" header.
	* config.h: Regenerated for "config.h.in" change.
	(Original patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-06-09  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Remove some files that are included by
	virtue of appearing in configure.in rules.

2004-05-20  Derek Price  <derek@ximbiot.com>

	* config.h.in.footer (ssize_t): Move...
	* config.h.in (size_t): ...here.
	(MBLEN, MBRLEN, HAVE_RUN_TZSET_TEST, HAVE_STRFTIME,
	TZSET_CLOBBERS_LOCALTIME_BUFFER, my_strftime, tzset): New macros.
	* config.h.in, stamp-chi: Regenerated.

2004-05-20  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-chi): Don't cross line boundries since this does
	not work portably when @MAINTAINER_MODE_TRUE@ is replaced with a
	comment.  Add config.h.in.footer.
	* Makefile.in: Regenerated.

2004-05-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-chi): This should be a copy of config.h.in, not
	config.h.
	* mkconfig.pl: Accept a -q argument to limit verbosity.
	* Makefile.in, stamp-chi: Regenerated.

2004-05-19  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore recently removed stamp files & mkconfig.

2004-05-19  Derek Price  <derek@ximbiot.com>

	* config.h.in.in, config.h.in.footer: New files.
	(Original patch from Conrad Pino <conrad@pino.com>.)

	* Makefile.am (config.h.in): New target.
	(EXTRA_DIST): Add new files, fix-msvc-mak.pl, & plhead.pl.  Remove
	stamp-ch & stamp-sh.
	(DISTCLEANFILES): Add stamp-ch & stamp-sh.
	(MAINTAINERCLEANFILES): Add config.h.in & stamp-chi.
	* stamp-ch, stamp-sh: Remove these files.  There is no need to check in
	targets that don't require maintainer tools to build.
	* fix-msvc-mak-head.pl: Move to...
	* plhead.pl: ...here.
	* mkconfig.pl: New file.

	* Makefile.in, config.h, config.h.in: Regenerated.

2004-05-15  Derek Price  <derek@ximbiot.com>

	* ndir.c, pwd.c: Include xmalloc.h.
	(Patch from Conrad Pino <conrad@pino.com>.)

2004-05-14  Derek Price  <derek@ximbiot.com>

	* woe32.c (my_usleep): Declare as static.
	(Report from Conrad Pino <conrad@pino.com>.)

2004-05-14  Derek Price  <derek@ximbiot.com>

	* woe32.c: Fix typo in last commit.
	(Patch from Conrad Pino <conrad@pino.com>.)

2004-05-14  Derek Price  <derek@ximbiot.com>

	* stamp-ch: Regenerated.

2004-05-14  Derek Price  <derek@ximbiot.com>

	* woe32.c (usleep): Remove.
	(my_usleep, nanosleep): New functions.
	(Reported by Conrad Pino <conrad@pino.com>.)

2004-05-12  Mark D. Baushke  <mdb@cvshome.org>

	* unistd.h: New file (to provide a getpass prototype).
	* config.h.in (HAVE_UNISTD_H): #define instead of #undef.
	* config.h: Regenerated.
	(Original from Conrad Pino <conrad@pino.com>)

2004-05-11  Derek Price  <derek@ximbiot.com>

	* filesubr.c (last_component): s/ISDIRSEP/ISSLASH/.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* config.h.in (FILENAMES_CASE_INSENSITIVE,
	FILESYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX,
	FILESYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR, FILESYSTEM_PREFIX_LEN,
	ISSLASH): Define these.
	* config.h, stamp-ch: Regenerated.

2004-04-26  Derek Price  <derek@ximbiot.com>

	* fix-msvc-mak.pl: Default to RECURSE=1 for cvsnt.mak.

2004-04-25  Derek Price  <derek@ximbiot.com>

	* Makefile.am (stamp-sh): s/\$\(HAVE__BOOL\)/0/.  Windows does not
	HAVE__BOOL.
	* stdbool.h, stamp-sh, Makefile.in: Regenerated.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* stamp-ch: Regenerated.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add stdbool.h & stamp-sh.
	(stdbool.h, stamp-sh): New targets.
	* stdbool.h, stamp-sh: New files.
	* Makefile.in: Regenerated.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* config.h.in: Don't define HAVE_ALLOCA.  Let alloca_.h do it instead.
	* config.h: Regenerated.

2004-04-20  Derek Price  <derek@ximbiot.com>

	* filesubr.c (deep_remove_dir): Correct typo.

2004-04-20  Derek Price  <derek@ximbiot.com>

	* filesubr.c (unlink_file_dir, deep_remove_dir): Handle errno of
	ENOTEMPTY from dirs under Windows XP.
	(Report and suggested fix from Ken Raeburn <raeburn@mit.edu>.)

2004-04-15  Derek Price  <derek@ximbiot.com>

	* config.h.in: Define HAVE_ALLOCA_H and HAVE_ALLOCA to get around the
	dain bramage of a few GNULIB modules.
	* config.h, stamp-ch: Regenerated.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* fix-msvc-mak.pl: Remove default build configuration hooks.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* fix-msvc-mak.pl: Set default build configuration to Debug.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* cvsntfix.pl: Rename to...
	* fix-msvc-mak.pl: ...this.
	* fix-msvc-mak-head.pl: New file.
	* .cvsignore: Add fix-msvc-mak.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* cvsntfix.pl: New file.
	(Original from Conrad Pino <conrad@pino.com>.)

2004-04-05  Derek Price  <derek@ximbiot.com>

	* filesubr.c (isabsolute): Remove this function for real.

2004-04-04  Derek Price  <derek@ximbiot.com>

	* filesubr.c (isabsolute): Remove this function.

2004-03-29  Derek Price  <derek@ximbiot.com>

	* README: Note makefiles geenerated with MSVC++ 5.x.

2004-03-28  Derek Price  <derek@ximbiot.com>

	* README: Note MSVC pathing problem when exporting makefiles.

2004-03-26  Derek Price  <derek@ximbiot.com>

	* README: Note build files generated using MSVC 6.0.  Erase uneccessary
	jab at Microsoft's inability to create a portable makefile.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* config.h.in: Define realloc to rpl_realloc to use the version from
	lib/realloc.c.
	* config.h: Regenerated.

2004-03-20  Derek Price  <derek@ximbiot.com>

	* filesubr.c (mkdir_if_needed, xchmod, last_component), run.c
	(piped_child): Comply with new prototypes.

2004-03-11  Derek Price  <derek@ximbiot.com>

	* config.h.in (SIZE_MAX): Define.

2004-02-26  Derek Price  <derek@ximbiot.com>

	* config.h.in: Add definition for inline for GNULIB xalloc module.
	* config.h, stamp-ch: Regenerated.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for 1.12.5.1.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for release 1.12.5.

2003-12-10  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Include code to put a warning at the beginning of the
	generated config.h that it should not be edited and to edit config.h.in
	instead.
	* Makefile.in, config.h: Regenerated.

2003-12-10  Derek Price  <derek@ximbiot.com>

	* config.h.in (SYSTEM_CLEANUP): That's because you need to change it
	here.
	* config.h: Regenerated.

2003-12-10  Mark D. Baushke  <mdb@cvshome.org>

	* config.h (SYSTEM_CLEANUP): Update macro to be a name
	replacement rather than a macro function. Note: This
	change seems to be undone by 'autoreconf'.

2003-12-10  Mark D. Baushke  <mdb@cvshome.org>

	* config.h (SYSTEM_CLEANUP): Update macro to be a name replacement
	rather than a macro function.
	(Patch from Rob Clevenger <rob@robsite.org>.)
	
2003-12-09  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for release 1.12.4.1.

2003-12-09  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for release 1.12.4.

2003-12-05  Mark D. Baushke  <mdb@cvshome.org>

	* filesubr.c (xresolvepath): Comment out assert() call.

2003-12-05  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for dev version 1.12.3.1.

2003-12-04  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for release 1.12.3.

2003-11-25  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.in: Regenerate for new configure.in.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for 1.12.2.1.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* config.h, stamp-ch: Regenerated for 1.12.2.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add stamp-ch.
	* Makefile.in: Regenerated.

2003-07-30  Derek Price  <derek@ximbiot.com>

	* README: Correct name and links to the Cygwin project.
	(Original patch from Max Bowsher <maxb@ukf.net>.)

2003-07-17  Derek Price  <derek@ximbiot.com>

	* stamp-ch: Regenerated.

2003-07-17  Larry Jones  <lawrence.jones@eds.com>

	* config.h.in (PROTOTYPES): Remove as per config.h.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* config.h (PROTOTYPES): Remove definition.
	* filesubr.c: s/PROTO/.
	* run.c: Ditto.

2003-06-13  Derek Price  <derek@ximbiot.com>

	* filesubr.c (cvs_temp_file): Add a FIXME comment in regards to using
	mkstemp() from GNULIB (already in lib/mkstemp.c).

2003-06-11  Larry Jones  <lawrence.jones@eds.com>

	* filesubr.c (xresolvepath): Fix memory leak.
	(Original patch from Kenneth Lorber <keni@his.com>.)

2003-06-11  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerate for new configure.in.

2003-07-30  Derek Price  <derek@ximbiot.com>

	* README: Correct name and links to the Cygwin project.
	(Original patch from Max Bowsher <maxb@ukf.net>.)

2003-06-09  Derek Price  <derek@ximbiot.com>

	* win32.c (gethostname): Remove this function.  It has been commented
	out since 1995-08-30 and...
	(*): ...move the rest of the contents...
	* woe32.c: ...to this new file in accordance with the GNU convention to
	avoid implying that we consider the Microsoft Windows Operating
	Environment any sort of "win".
	* Makefile.am (EXTRA_DIST): Rename win32.c woe32.c.

	* Makefile.in: Regenerated.

2003-06-04  Derek Price  <derek@ximbiot.com>

	* config.h.in (RSH_DFLT): Replace accidentally deleted macro.
	(USE_PROTOTYPES): Move back to...
	(PROTOTYPES): ...here.
	(HAVE_STDLIB_H, HAVE_SYS_TYPES_H, HAVE_SYS_STAT_H, HAVE_MALLOC,
	HAVE_REALLOC): New defines to sync with UNIX code.
	* filesubr.c (locate_rcs, find_file_in_dir): Remove these functions
	since they are now available in the generic source.

	* config.h: Regenerated.

2003-06-04  Derek Price  <derek@ximbiot.com>

	* config.h: Regenerated, but move the contents...
	* config.h.in: ...into this new file first and stick a token in...
	(PACKAGE_STRING): ...here in place of the CVS version number.
	* Makefile.am (all-local, stamp-ch, config.h): New targets providing
	for dynamic generation of config.h so that I can no longer forget to
	update the version number in config.h when I update configure.in.
	* stamp-ch: New file.

	* Makefile.in: Regenerated.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerate with Automake version 1.7.5.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* config.h (PACKAGE_STRING): updated to 1.12.0.1;
	changed USE_PROTOTYPES to PROTOTYPES
	* filesubr.c: synchronized logic in deep_remove_dir() with
	src/filesubr.c; copied xresolvepath(), cvs_casecmp(),
	locate_file_in_dir(), and locate_rcs().
	(Patch from Anthon Pang <apang@telus.net>.)

2003-05-09  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-04-30  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-04-10  Larry Jones  <lawrence.jones@eds.com>

	* Makefile.in: Regenerated.

2003-03-24  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Update copyright notice.

	* Makefile.in: Regenerated.

2003-03-19  Mark D. Baushke  <mdb@cvshome.org>

	* config.h (RSH_DFLT): Default to "rsh".

	* Makefile.in: Regenerated.

2003-03-19  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-01-20  Derek Price  <derek@ximbiot.com>

	* config.h: Update to dev version 1.11.5.1.

2003-01-16  Derek Price  <derek@ximbiot.com>

	* config.h: Update to CVS version 1.11.5.

2003-01-16  Derek Price  <derek@ximbiot.com>

	* config.h (PACKAGE_STRING): Update for dev version (1.11.4.1).

2002-12-28  Derek Price  <derek@ximbiot.com>

	* config.h (PACKAGE_STRING): Add FIXME.

2002-12-28  Derek Price  <derek@ximbiot.com>

	* config.h (PACKAGE_STRING): Define.
	* filesubr.c (strcat_filename_onto_homedir): New function.
	(Thanks to Stephane Rouleau <s.rouleau@videotron.ca>,
	 Cristopher Seawood <cls@seawood.org>, and
	 Frederico Costa <frederico.costa@tiscali.no> for all their hints,
	 tips, and patches for this problem.)

2002-12-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Remove reference to options.h.
	* options.h: Remove file and move relevant content...
	* config.h: ...here.

	* Makefile.in: Regenerated.

2002-12-06  Derek Price  <derek@ximbiot.com>

	* ndir.c: Replace some calls to malloc with calls to xmalloc.
	* pwd.c: Ditto.
	(Reported by Dan Peterson <dbpete@aol.com>.)

2002-09-24  Derek Price  <derek@ximbiot.com>

	* options.h: Remove prototype of STDC exit().

2002-09-24  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated using Automake 1.6.3.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2002-09-24  Larry Jones  <lawrence.jones@eds.com>

	* options.h: Remove PATCH_PROGRAM.

2002-08-16  Derek Price  <derek@ximbiot.com>

	* options.h: Remove RELATIVE_REPOS & move CVS_BADROOT...
	* config.h: ...here.

2002-04-30  Derek Price  <oberon@umich.edu>

	* Makefile.in: Regenerated with automake 1.6.

2001-09-18  Derek Price  <dprice@collab.net>

	* win32.c: config.h should be #included with double quotes; and be the
        first among the headers.
	(Patch from Corey Minyard  <minyard@acm.org> via 
	Alexey Mahotkin <alexm@hsys.msk.ru>.)

2001-09-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with automake 1.5.

2001-08-09  Derek Price  <dprice@collab.net>

	* config.h: Back out the HAVE_GETPAGESIZE thing.  That was a mistake.

2001-08-09  Derek Price  <dprice@collab.net>

	* config.h: Define ssize_t as int.
	(Bug report and patch from "Manfred Klug" <manklu@web.de>.)

2001-08-09  Derek Price  <dprice@collab.net>

	* config.h: Define HAVE_GETPAGESIZE under Windows.
	(Bug report from "Manfred Klug" <manklu@web.de>.)

2001-08-06  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated.

2001-07-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new Automake release candidate 1.4h.

2001-06-28  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new version of Automake.

2001-04-25  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated using AM 1.4e as of today at 18:10 -0400.

2001-03-14  Derek Price  <derek.price@openavenue.com>

        * Makefile.in: Regenerated

2001-02-15  Derek Price  <derek.price@openavenue.com>
	    Laine Stump  <laine+info-cvs@laine.org>

	* config.h: Define HAVE_USLEEP and define a prototype for usleep.
	* win32.c (usleep): New function.

2000-12-22  Derek Price  <derek.price@openavenue.com>

        * Makefile.in: Regenerated

2000-12-21  Derek Price  <derek.price@openavenue.com>

	* Makefile.am: New file needed by Automake
	* Makefile.in: Regenerated

2000-11-21  Derek Price  <derek.price@openavenue.com>

	* filesubr.c (check_statbuf): subtract 3600 from the times returned
	by the stat function when daylight savings time is in effect due to a
	bug in Windoze.  Fixes a bug where CVS thinks all files have been
	touched after a transition to or from daylight savings time.

2000-11-20  Derek Price  <derek.price@openavenue.com>

	* filesubr.c (cvs_temp_file): add this function to match the one in
	src/filesubr.c
	(cvs_temp_name): wrap cvs_temp_file as in src/filesubr.c

2000-10-18  Derek Price  <derek.price@openavenue.com>

	* config.h: Add () to a macro function to supress a warning.

2000-06-26  Larry Jones  <larry.jones@sdrc.com>

	* config.h: Define REGEX_MALLOC and _REGEX_RE_COMP.

2000-01-02  Karl Fogel  <kfogel@red-bean.com>

	* pwd.c (getlogin): try to find login name in environment
	variables before asking the operating system.

1999-02-26  Jim Kingdon  <http://www.cyclic.com>

	* options.h: Make RELATIVE_REPOS the default, as in
	../src/options.h.in.
	Remove CVS_DIFFDATE; removed from CVS on 27 Jun 1996.

1998-10-13  Jim Kingdon

	* README: Update information about make/project files, cygwin and
	the (lack of) need for RCS 5.7.  Tweak a few more things.

1998-10-03  Jim Kingdon

	* win32.c: Include cvs.h and only check server_active if
	SERVER_SUPPORT is defined.

1998-10-02  Jim Kingdon  <kingdon@harvey.cyclic.com>

	(This was reported by someone else but I don't remember who).
	* config.h: Define SYSTEM_CLEANUP.
	* win32.c (wnt_cleanup): New function, implements it.

1998-09-28  Johannes Stezenbach <johannes.stezenbach@propack-data.de>
	    and Jim Kingdon

	* config.h (CVS_RENAME): Define.
	* filesubr.c, config.h (wnt_rename): New function.
	* filesubr.c (rename_file): Call CVS_RENAME not rename.

1998-09-04  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* win32.c (gethostname): Expand comment about gethostname
	vs. GetComputerName (reported by Randy Coulman).

1998-07-01  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* startserver.c (wnt_shutdown_server): Check for errors from close().

1998-06-30  Noel Cragg

    * startserver.c: add a global variable which notes if we've opened
	a socket.  Since the code in client.c will call wnt_shutdown_server
	regardless of which client method we've selected, we need to make
	sure and not call shutdown or closesocket on a pipe (it won't work).
	(wnt_shutdown_server): use the new global to decide whether or not
	to call socket routines or simply use close.
	

1998-06-11  Jim Kingdon

	* config.h (CVS_STAT, CVS_LSTAT): Define.
	* filesubr.c, config.h (wnt_stat, wnt_lstat, check_statbuf):
	New functions.

1998-04-09  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (link_file): Remove; no longer used.

Tue Feb 17 02:31:41 1998  Noel Cragg  <noel@swish.red-bean.com>

	* filesubr.c (last_component): return the top-level directory when
 	asked about the top-level directory.

Fri Jan 16 00:57:31 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* sanity.sh: Remove.  As far as I know the Windows hacks in this
	file have been superceded by improvements to Cygwin and/or Ian's
	recent changes to src/sanity.sh.  The ones I noticed: we had been
	working around lack of /dev/null (apprently Cygwin now has it); we
	had been not expecting rm -rf to delete readonly files (apparently
	it now does); there was an issue with case of arguments passed on
	command line (it would seem like Cygwin has changed this).
	I also notice that the file had not even been in the distribution
	because it was missing from Makefile.in (ugh).

13 Jan 1998  Jim Kingdon

	* run.c (run_exec): Change parameters from char * to const char *.

Tue Jan 13 16:57:56 1998  Ian Lance Taylor  <ian@cygnus.com>

	* config.h (FOLD_FN_CHAR): Don't define; instead move to
	lib/system.h, where it is defined conditionally.
	(FILENAMES_CASE_INSENSITIVE, ISDIRSEP): Likewise.
	(WNT_filename_classes, fncmp, fnfold): Likewise for declarations.
	* filesubr.c (WNT_filename_classes): Remove; now in lib/fncase.c.
	(fncmp, fnfold): Likewise.

Tue Jan 13 13:15:34 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c: Adjust run_setup for new calling convention.

	* config.h (DIFF): Remove; no longer used.
	* options.h (DIFF, RCSBIN_DFLT): Remove; no longer used.

Wed Dec 31 10:56:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h, filesubr.c (convert_file): Remove; no longer used
	(except for BROKEN_READWRITE_CONVERSION which doesn't apply).

Sat Dec 27 16:57:41 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h (HAVE_RCS5): Remove; no longer used.

	* config.h (LINES_CRLF_TERMINATED): Remove; no longer used.

Tue Dec 23 08:28:44 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Change bug-cvs address from prep.ai.mit.edu to gnu.org
	per email from Martin Hamilton.

Sun Nov 30 18:03:02 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c (run_args): Remove; nowhere used.

Sat Nov 29 22:21:19 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Remove declaration of getwd; see lib/ChangeLog for
	rationale.

Wed, 12 Nov 1997  Jim Kingdon

	* config.h: Define same_file.

Sun, 9 Nov 1997  Jim Kingdon

	* config.h: Define HAVE_SETMODE.

Mon Nov 10 11:15:54 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c (call_diff, call_diff3): Removed, per change to
	src/rcscmds.c.

Fri Oct 31 16:52:30 1997  Abe Feldman

	* config.h: Define UTIME_EXPECTS_WRITABLE.

Tue Oct 28 14:50:37 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c: Also define call_diff and call_diff3.

Sat Sep 13 20:13:09 1997    <Martin.Sjoelin@ubs.ch>
	indentation/whitespace fixes by Jim Kingdon

	* run.c (quote): quote any " included in argument string to
	avoid having ci choke on message string format.

Sun Sep  7 19:59:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Add section on coding standards (win32, ANSI, &c).

Fri Aug 29 19:13:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (isabsolute): Add comment about interaction with
	strip_trailing_slashes (reported by Jin S Choi <jsc@w3health.com>).

Thu Aug 28 12:06:37 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (link_file): Remove #if 0'd version; the real version
	is elsewhere in this file.

Sun Aug 10 21:08:12 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* ndir.c, ndir.h, pwd.c, pwd.h: Remove $Header; we decided to
	get rid of these some time ago.

Sun Aug  3 21:14:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Note KLUDGE_FOR_WNT_TESTSUITE when discussing tests.

Fri Jul 18 09:49:52 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Adjust discussion of makefiles to deal with Visual C++
	5.x.  One doesn't need patch if client and server are current.

10 Jul 1997  Jim Kingdon

	* config.h: Define USE_SETMODE_STDOUT.

8 Jul 1997  Jim Kingdon

	* rcmd.c (rcmd_authenticate): With error message, print the
	user names that we were attempting to use.
	* win32.c (win32getlogin): If GetUserName returns "", return
	NULL.

Sun, 22 Jun 1997  Jim Kingdon

	* win32.c: Also include winsock.h.
	Include stdlib.h (for exit()).
	* rcmd.c: Move include of cvs.h above test of HAVE_WINSOCK_H.

Tue Jun 17 16:35:06 1997  Jim Kingdon  (unknown@beezley)

	* rcmd.c: Check HAVE_WINSOCK_H in figuring out which files
	to include (see comment about making this portable).  If not
	HAVE_WINSOCK_H, make various #definitions.
	* rcmd.c (init_winsock): Move from here...
	* win32.c: ...to here.
	* rcmd.c (bind_and_connect, resolve_address): Shut up gcc -Wall
	(which doesn't know that error (1, ...) doesn't return).

Sun Jun  8 23:43:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h (HAVE_MKFIFO): Remove; not used anywhere.

Sat May  3 11:15:46 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* rcmd.c: Add "copyright" notice.

Thu Apr 17 00:15:36 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in: Add sockerror.c.

Wed Apr  9 15:29:45 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (expand_wild): Add comments about "." and comparing
	NULL pointers.

8 Apr 1997  Jim Kingdon

	* rcmd.c: Instead of returning -1 and passing that back to
	startserver.c which will print a very vague error message, call
	error() right away with a specific message.  This also fixes
	some places where we had bogusly called GetLastError instead of
	WSAGetLastError.
	(init_winsock): Remove call to setsockopt.  It was an artifact
	from before the time that we defined NO_SOCKET_TO_FD, doesn't
	seem to be needed any more, and fails with some non-Microsoft
	winsock implementations.

Wed Apr  2 14:08:10 1997  Vince Del Vecchio  <vdelvecc@spd.analog.com>
			  and Jim Kingdon

	* sockerror.c: New file.
	* config.h (SOCK_STRERROR, SOCK_ERRNO): New macros.
	* startserver.c: In reporting errors from socket calls, use
 	SOCK_STRERROR and SOCK_ERRNO since strerror(errno) doesn't work
 	for Win32.
	* rcmd.c (rcmd_authenticate): Use WSASetLastError instead of
 	assigning to errno, since that is where the caller will look.

Sun Apr  6 17:22:19 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (copy_file): Add comment about CopyFile.

Wed Mar 26 13:13:41 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Also mention tar and gzip.

	* README: Binaries are now under 1.9, not 1.8.3, on
	ftp.cyclic.com.  Also mention http URL.

13 Mar 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (get_homedir): Allocate pathbuf; removes arbitrary
	limit.

Wed Mar 12 16:10:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (get_homedir): Expand comment about HOME
	vs. HOMEDRIVE/HOMEPATH.

	* config.h (HAVE_SETVBUF): Removed; no longer used.

Thu Mar  6 19:46:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: tab stop setting apparently was under "Editor" in Visual
	C++ 2.x but it is under "Tabs" in Visual C++ 4.x.
	List number of warnings for regex.c (103, which is actually down
	from 121 prior to the change I just made to regex.c).

Sat Feb 15 15:27:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (dist-dir): Also handle SUBDIRS.
	(SUBDIRS): New variable.

Wed Jan 29 18:28:17 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h, options.h (GREP): Remove; no longer used.

Tue Jan 28 18:29:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h: Remove SIZEOF_INT and SIZEOF_LONG; no longer needed
	with lib/md5.c changes.

1997-01-08  Jim Kingdon

	* filesubr.c (expand_wild): If we just find a file (that
	is, without expanding a wildcard), return the file name
	as specified rather than as it exists in the filesystem.

Thu Jan  2 13:30:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c, ndir.c, ndir.h, pwd.c, pwd.h, run.c, stripslash.c:
	Remove "675" paragraph;	see ../ChangeLog for rationale.

Wed Jan  1 22:51:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Reword comment for TMPDIR_DFLT to make it clear that
	this isn't specific to the pserver server.

Tue Dec 31 14:17:38 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Remove another mention of grep; CVS no longer uses it.

Tue Dec 31 11:01:29 1996  Noel Cragg  <noel@gargle.rain.org>

	* README: Add note that the various support utilities can also be
 	found at the Cyclic FTP site; things move around on the net.

Tue Dec 31 12:33:29 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Add note about lack of need for rsh.  I don't know if
	this is the best place to talk about this, but many people get
	confused by it.

Sat Nov 30 15:33:22 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Grep is no longer required.  Specify when gzip is required.

Tue Nov 19 17:19:35 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (SOURCES): Remove strippath.c.
	* strippath.c: Removed.

Sun Nov 10 22:54:04 1996  Paul Sanders <p.sanders@dial.pipex.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c (run_popen): Save and restore file descriptors.

Fri Oct 18 16:54:00 1996  Tony Brusseau  <brusseau@jprc.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* strippath.c (strip_path): Leave leading "\\" unmolested for UNC.

Thu Oct 17 10:57:06 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Clarify who it is who needs to be able to mount the
	repository.

Mon Oct 14 08:30:38 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Remove item about markso Win95 web site now that it is
	merged in.  Mention Win95 at beginning.

Tue Oct  8 12:37:54 1996  Ian Lance Taylor  <ian@cygnus.com>

	* options.h (HAD_RCS4): Remove; no longer used.

Wed Sep 25 14:31:51 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h (TMPDIR_DFLT): Change from c:\temp to c:\\temp.

Tue Sep 24 14:37:29 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Add TMPDIR_DFLT.

Tue Sep 10 19:20:25 1996  Mark A. Solinski  <markso@mcs.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	This is said to be the last set of changes needed for Win95:
	* rcmd.c: Include cvs.h.
	(rcmd_authenticate): Use send/recv instead of read/write.
	(rcmd): Don't call _open_osfhandle; just return the socket.
	* options.h: Move NO_SOCKET_TO_FD from here...
	* config.h: ...to here.  Update comment.
	* config.h (START_SERVER_RETURNS_SOCKET, SEND_NEVER_PARTIAL):
	Define.
	* startserver.c (shutdown_fd): Remove; it is unused.
	(wnt_start_server): Don't dup the file descriptor; instead set
	both *tofd and *fromfd to read_fd.
	(wnt_shutdown_server): Don't call _get_osfhandle; just use the
	argument as the socket.

Wed Sep  4 1996  Jim Kingdon  <kingdon@cyclic.com>

	* filesubr.c (mkdir_if_needed): mkdir on NT only takes one,
	not two, arguments.

Thu Aug 29 09:47:33 1996  Mark A. Solinski  <markso@mcs.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (deep_remove_dir, unlink_file_dir): ENOENT can also
	mean that we tried to unlink a directory (Win95).

Mon Aug 26 12:47:58 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (mkdir_if_needed): Added.

Thu Aug 22 19:12:17 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	The following changes are said to be necessary (but not
	sufficient) for Win95:
	* config.h (sleep): Use "unsigned int" not just "unsigned".
	* filesubr.c (deep_remove_dir): Treat EACCES as well as ENOTEMPTY
	as an indication that we need to remove the directory.

Fri Aug 16 16:06:22 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* Makefile.in (installdirs): new (empty) target

Mon Aug 12 14:45:16 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h: Remove CLIENT_ONLY; it is nowhere used.

Mon Jul 15 1996  Jim Kingdon  <kingdon@cyclic.com>

	* README: Add note about tab stop setting.

Fri Jun  7 13:07:37 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h: Change INITIALIZE_SOCKET_SUBSYSTEM to
	SYSTEM_INITIALIZE to reflect change in ../src/main.c.

Mon Jun 03 01:00:08 1996  noel  <noel@BOAT_ANCHOR>

	* sanity.sh: include new tests from ../src/sanity.sh.

	* filesubr.c (copy_file): use open with O_CREAT instead of creat
 	so we can also use O_BINARY -- we don't want to do any LF -> CR/LF
 	translations when we copy files.

Fri May 17 11:53:13 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: In a few places it used to say "server" when it meant
	"client".  Fix it.  Say explicitly that there is no server on NT.
	Fix typos (4,0 -> 4.0; CVS.system -> CVS).

Thu May 16 16:52:45 1996  Noel Cragg  <noel@gargle.rain.org>

	* README: explain which utilities are required for client support
 	and local support in separate paragraphs.

	* filesubr.c (expand_wild): rename max to cvs_max to avoid
 	conflicts with other already-defined routines.
	(get_homedir): rename min to cvs_min.

Thu May 16 01:18:22 1996  noel  <noel@BOAT_ANCHOR>

	* sanity.sh: Hacked version of src/sanity.sh for use under
 	CYGWIN32.

	* filesubr.c (expand_wild): Since FindFirstFile and FindNextFile
 	don't return the pathname of a file, we need to keep track of it
 	ourselves.

	* options.h: Fix defines for DIFF and GREP. 

	* run.c (run_exec): Flush stdout and stderr so we end up with the
 	correct interleaving of output for sanity.sh.  This can be removed
 	later, if desired.

Wed May 15 23:51:49 1996  Noel Cragg  <noel@gargle.rain.org>

	* README: mention that grep is mandatory.

Tue May 14 1996  Jim Kingdon  <kingdon@cyclic.com>

	* filesubr.c (cvs_temp_name): Call _tempnam not tmpnam.

Tue May 14 13:38:51 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (cvs_temp_name): New function..

Wed May 01 01:28:41 1996  noel  <noel@BOAT_ANCHOR>

	* filesubr.c (get_homedir): use both HOMEDRIVE and HOMEPATH to
 	construct the user's home directory.

Tue Apr  9 20:56:14 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Mention CRLF for src/server.c.

Mon Mar 25 1996  Jim Kingdon  <kingdon@cyclic.com>

	* filesubr.c (expand_wild): New function.

Tue Mar 19 17:55:39 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* startserver.c (wnt_start_server): Cleaned up code to get port
	  (and thus made consistent with VMS and Mac)

Mon Mar 18 14:54:50 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h: Don't declare gethostname; main.c already includes
	winsock.h.  Define FILENAMES_CASE_INSENSITIVE.

Fri Mar 15 1996  Jim Kingdon  <kingdon@cyclic.com>

	* filesubr.c (fncmp): Fix typo (n1 -> n2) which had caused the
	function to always return 0.

Thu Mar  7 08:55:39 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (HEADERS): Remove alloca.h from list.

Wed Feb 28 11:08:06 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Remove AUTH_SERVER_SUPPORT; no longer should be
	defined in options.h.

	* config.h: Remove C_ALLOCA, CRAY_STACKSEG_END, HAVE_ALLOCA,
	HAVE_ALLOCA_H, and STACK_DIRECTION to reflect alloca removal.
	* startserver.c (wnt_start_server): Don't use alloca.
	* alloca.h: Removed.

Fri Feb 23 18:00:00 1996  Jim Kingdon  <kingdon@cyclic.com>

	* options.h: Define AUTH_CLIENT_SUPPORT and NO_SOCKET_TO_FD.
	* config.h: Define HAVE_WINSOCK_H.
	* win32.c (getpass): New function.
	* filesubr.c (get_homedir): New function.

Mon Feb 12 16:09:24 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* run.c (run_popen): Changed more Popen() to run_popen()

Mon Feb 12 03:33:27 1996  Benjamin J. Lee  <benjamin@cyclic.com>

        * run.c: Changed Popen() to run_popen() for the benefit of
        case-insensitive linkers (VMS) which confuse Popen() with popen()

Fri Feb  9 22:10:12 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (distclean): Remove Makefile.

	* config.h: Remove SYSTEM_COMMENT_TABLE.

Thu Feb  1 15:09:17 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Remove RM; no longer used.

	* filesubr.c: Remove rcsid.

Thu Jan 11 16:01:27 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Update with information for Visual C++ 4.0, some
	warnings that weren't mentioned, etc.

Thu Jan 11 12:04:42 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* options.h: remove CVS_NOADMIN

Wed Jan  3 16:17:19 1996  Jon Dart  <jdart@tss.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c (filter_stream_through_program): If pidp is NULL, don't
	store to *pidp.
	* ndir.h: Change MAXNAMLEN to 255.
	* run.c (build_command): Deal with it if there are no arguments at
	all.

Mon Jan  1 23:40:01 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (link_file): New function.

	* README: Mention CRLF vs. LF in cvsnt.mak.  Other minor revisions.

Fri Dec 22 12:00:00 1995  Jim Kingdon  <kingdon@peary.cyclic.com>

	* run.c (filter_stream_through_program): On error, error() rather
	than returning -1.

Thu Dec 21 16:00:00 1995  Jim Kingdon  <kingdon@peary.cyclic.com>

	* options.h: Don't define NO_SOCKET_TO_FD.

Mon Dec 18 09:57:29 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Explain NO_SOCKET_TO_FD some more.

Sun Dec 17 21:19:18 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * options.h (NO_SOCKET_TO_FD): define to 1.

Tue Dec 12 19:18:00 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * options.h (AUTH_CLIENT_SUPPORT, AUTH_SERVER_SUPPORT): these
        replace CVS_LOGIN.
        (RCSBIN_DFLT): expand comment.

Mon Dec 11 12:43:35 1995  adamg  <adamg@microsoft.com>

	* config.h: Add INITIALIZE_SOCKET_SUBSYSTEM macro to ensure that
	winsock is initialized early enough for the gethostname() in
	main.c to succeed.
	* rcmd.c: Remove from init_winsock(), and rcmd() code that
	initialized winsock on demand.

Thu Dec  7 14:49:16 1995  Jim Meyering  (meyering@comco.com)

	* filesubr.c (isaccessible): Rename from isaccessable.
	Update callers.

Mon Dec  4 10:46:31 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* The following change was copied from src/filesubr.c.  This is
	because we need filesubr.c to compile, not because we are trying
	to make set*id work on NT (if it even has set*id).
	* filesubr.c (isaccessable): new function.  Checks access-rights
	for files like access(), but is getxid-safe.  Falls back to
	access() if SETXID_SUPPORT is not enabled.
	(isfile): replace stat() by isaccessable(file, F_OK)
	(isreadable): replace access() by isaccessable()
	(iswritable): ditto
	(make_directory): rename local variable buf to sb

Fri Nov 24 11:17:16 EST 1995  Boleslaw Ciesielski  <bolek@viewlogic.com>

	* filesubr.c (convert_file): Pass S_IWRITE to open when creating
	file (fixes problem with deleting temporary files).

Fri Nov 24 11:12:47 1995  Boleslaw Ciesielski  <bolek@viewlogic.com>

	* run.c (build_command): Move len++ inside loop, to make room for
	spaces between arguments.

Thu Oct 26 10:12:51 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Say that patch is required, not optional.

Wed Oct 25 07:40:17 1995  Noel Cragg  <noel@virtual.office.com>

	* startserver.c (wnt_start_server): removed NTOHS call; since the
	resulting number was passed as the port number to rcmd which
	called NTOHS again, we did a complicated NOOP.

Tue Oct 24 10:59:03 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* Makefile.in: insert autoconf variables. This allows e.g. make
	  dist to work when configure was called from within a subdir.

	* Makefile.in (dist): replace by rule which honors $(srcdir)

Mon Oct 23 18:51:49 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * Makefile.in (clean): new rule, does nothing but satisfy
        top-level Makefile's beliefs about what its children can do.

Fri Oct 20 11:09:55 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* config.h: use same layout and comments as current ../config.h.in

	* options.h: as above for ../src/options.h.in

Tue Oct 10 16:04:18 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Update to remove obsolete information (e.g. ftp
	distributions).

Thu Oct  5 17:28:52 1995  Kevin Layer  <layer@franz.com>

	* filesubr.c: Add semicolon after USE.

Thu Sep 7  19:18:00 1995  Jim Blandy  <jimb@cyclic.com>

	* config.h (CVS_SUPPORT): #define this.

	* ndir.c (opendir): Make the directory name argument a const
	char *, instead of just a char *.
	* ndir.h (opendir): Extern declaration changed to match.

Thu Aug 31 12:00:08 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (HEADERS, SOURCES): New variables.
	(DISTFILES): Refer to them, and include README, Makefile.in, and
	.cvsignore.

	* filesubr.c (unlink_file_dir, deep_remove_dir): New functions,
	originally added to src/filesubr.c and then adapted here for
	Windows NT.

Wed Aug 30 15:39:57 1995  Jim Blandy  <jimb@totoro.cyclic.com>

        * Windows NT port merged.
	* README, config.h, filesubr.c, mkdir.c, ndir.c, ndir.h,
	options.h, pwd.c, pwd.h, rcmd.c, rcmd.h, run.c, startserver.c,
	strippath.c, stripslash.c, waitpid.c, win32.c: Changed or added.

Thu Aug 10 13:30:00 1995  Jim Blandy <jimb@cyclic.com>

	* filesubr.c, mkdir.c, pwd.c, run.c, win32.c: New source files.
	* pwd.h: New header file.

Wed Jul 19 18:00:00 1995  Jim Blandy <jimb@cyclic.com>

	* alloca.h: New file.

	* config.h (HAVE_IO_H): Define this.

Tue Jul 18 21:18:00 1995  Jim Blandy <jimb@cyclic.com>

	* config.h, options.h, pwd.h: New files.
